<?php

/**************    Include cabecera  ***********************************/
require_once dirname(__DIR__) . '/../index_ajax.php';

// Valida localizador de compra
$_POST['localizador'] = strtoupper(trim($_POST['localizador']));

$filtro_instalacion = "";
$lista_instalacion  = "";

if (arrayHasOnlyInts( (array)json_decode($_ENV['FILTROINSTALACION_ARRAY'],true))){          
    $lista_instalacion  = implode(",", (array)json_decode($_ENV['FILTROINSTALACION_ARRAY'], true));
    $filtro_instalacion = " AND instalacion_id in ( $lista_instalacion ) " ;
}

$sql_localizador = "SELECT *
                    FROM localizadores
                    WHERE localizador = :localizador 
                    AND estado = 'pagado' " .$filtro_instalacion ;

$result_localizador = $conexion->prepare($sql_localizador);
$result_localizador->execute(array(':localizador' => $_POST['localizador'] ));

if ($result_localizador->rowCount() > 0) {

    $row_localizador = $result_localizador->fetch();

    // Localizador anulado anteriormente
    if ($row_localizador['anulacion'] == 1) {
        echo 2;
    } else {

        // PHP con los textos estáticos de la plantilla
        require_once DIRLANGUAGESTRINGS . 'factura/descarga_factura_api.php';

        $sql_facturas = "SELECT *
                         FROM localizador_archivos
                         WHERE localizador = :localizador ";
      
        $result_facturas = $conexion->prepare($sql_facturas);
        $result_facturas->execute(array(':localizador' => $_POST['localizador'] ));

        if ($result_facturas->rowCount() > 0) {
            $tFacturas = 1;
            $i         = 1;

            foreach ($result_facturas->fetchAll() as $row_factura) {
                $ENLACEFACTURA =  $row_factura['archivo'];
                $NUMEROFACTURA =  $i;
                $i++;

                $TEXTFACTURA = _('Factura');
          
            }
        } else {
            $tFacturas              = 0;
            $tNoFactura             = 1; 
            $TEXTNODISPONEDEFACTURA = _('Lo sentimos, no dispone todavía de factura');
        }
        
        require_once DIRLANGUAGETEMPLATES . "factura/descarga_factura.ctp";
    }
} else {
    echo 0;
}
